using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

[RequireComponent(typeof(Image))]
public class ImageSheetAnim : TextureSheetAnim {

    [SerializeField]
    Image m_Image;

    //private Material m_Material;
    
    private void Awake()
    {
        m_Image = GetComponent<Image>();
        //m_Material = new Material(this.m_Image.material);

       // m_RenderMat = null;
    }


    protected override Material GetRenderingMaterial()
    {
        return m_Image.materialForRendering;
    }
    

}
